#
# spec file for package touchegg
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           touchegg
Version:        1.1.1
Release:        1.4
Summary:        A multitouch gesture recogniser for GNU/Linux
License:        GPL-2.0+ and GPL-3.0+
Group:          Hardware/Other
Url:            https://github.com/JoseExposito/touchegg
Source:         https://github.com/JoseExposito/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
#PATCH-FIX-OPENSUSE touchegg-1.1.1-slowdown-scroll-speed.patch
Patch0:         %{name}-1.1.1-slowdown-scroll-speed.patch
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libgeis)
Suggests:       %{name}-gui >= %{version}

%description
Touchegg is a multitouch gesture recogniser for GNU/Linux that
allows associating actions to each gesture. Written in C++ with Qt4
and geis library.

%package gui
Summary:        Multitouch gesture recogniser GUI
Group:          System/GUI/Other
Requires:       %{name} >= %{version}

%description gui
Graphical user interface for a multitouch gesture recogniser for
GNU/Linux.

%prep
%setup -q
%patch0

%build
for dir in %{name} %{name}-gui; do
    pushd "$dir"
    %{_libdir}/qt4/bin/qmake \
      QMAKE_CFLAGS="%{optflags}"   \
      QMAKE_CXXFLAGS="%{optflags}"
    make %{?_smp_mflags}
    popd
done

%install
make INSTALL_ROOT=%{buildroot} install -C %{name}
make INSTALL_ROOT=%{buildroot} install -C %{name}-gui

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mv -f %{buildroot}%{_datadir}/icons/%{name}-gui.png \
  %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-gui.png

%suse_update_desktop_file -r %{name}-gui Utility DesktopUtility

%post gui
%desktop_database_post
%icon_theme_cache_post

%postun gui
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}/

%files gui
%defattr(-,root,root)
%{_bindir}/%{name}-gui
%{_datadir}/applications/%{name}-gui.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}-gui.*

%changelog
* Fri Oct  9 2015 sor.alexei@meowr.ru
- Further spec cleanup.
- Use a tarball with bundled touchegg-gui.
- Add touchegg-gui subpackage.
- Add GPL-3.0+ to licenses (touchegg-gui license).
- Use optimised CFLAGS.
- Correct package group.
* Mon Dec 22 2014 tchvatal@suse.com
- Cleanup with spec-cleaner to be acceptable
* Sat Jun 22 2013 kamforbb@gmail.com
- Add patch touchegg-1.1.1-slowdown-scroll-speed.patch
* Sat May  7 2011 cabelo@opensuse.org
- Create package in openSuse Build : Alessandro de Oliveira Faria.
